# Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera Class Reference

Simple first person camera class that moves and rotates. It allows yaw and pitch but not roll. It uses keyboard and cursor to respond to keyboard and mouse input and updates the view matrix based on input. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Camera, Microsoft::Samples::DirectX::UtilityToolkit::Camera, and Microsoft::Samples::DirectX::UtilityToolkit::Camera.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera:

[legend]

List of all members.

## Public Member Functions
override void | FrameMove (float elapsedTime)
| Update the view matrix based on user input & elapsed time.
void | SetRotationButtons (bool left, bool middle, bool right)
| Enable or disable each of the mouse buttons for rotation drag.
override void | FrameMove (float elapsedTime)
| Update the view matrix based on user input & elapsed time.
void | SetRotationButtons (bool left, bool middle, bool right)
| Enable or disable each of the mouse buttons for rotation drag.
override void | FrameMove (float elapsedTime)
| Update the view matrix based on user input & elapsed time.
void | SetRotationButtons (bool left, bool middle, bool right)
| Enable or disable each of the mouse buttons for rotation drag.
## Protected Attributes
int | activeButtonMask = (int)(MouseButtonMask.Left | MouseButtonMask.Middle | MouseButtonMask.Right)
Matrix | cameraWorld

## Detailed Description

Simple first person camera class that moves and rotates. It allows yaw and pitch but not roll. It uses keyboard and cursor to respond to keyboard and mouse input and updates the view matrix based on input.

Definition at line 1529 of file dxmutmisc.cs.

## Member Function Documentation

override void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.FrameMove | ( | float | elapsedTime | ) | `[virtual]`

Update the view matrix based on user input & elapsed time.

Implements Microsoft.Samples.DirectX.UtilityToolkit.Camera.

Definition at line 1532 of file wdxmutmisc.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.FrameMove | ( | float | elapsedTime | ) | `[virtual]`

Update the view matrix based on user input & elapsed time.

Implements Microsoft.Samples.DirectX.UtilityToolkit.Camera.

Definition at line 1539 of file dxmutmisc.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.FrameMove | ( | float | elapsedTime | ) | `[virtual]`

Update the view matrix based on user input & elapsed time.

Implements Microsoft.Samples.DirectX.UtilityToolkit.Camera.

Definition at line 1539 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.SetRotationButtons | ( | bool | left,
|  | bool | middle,
|  | bool | right |
| ) |  |  |

Enable or disable each of the mouse buttons for rotation drag.

Definition at line 1597 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.SetRotationButtons | ( | bool | left,
|  | bool | middle,
|  | bool | right |
| ) |  |  |

Enable or disable each of the mouse buttons for rotation drag.

Definition at line 1604 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FirstPersonCamera.SetRotationButtons | ( | bool | left,
|  | bool | middle,
|  | bool | right |
| ) |  |  |

Enable or disable each of the mouse buttons for rotation drag.

Definition at line 1604 of file dxmutmisc.cs.

## Member Data Documentation

int Microsoft::Samples::DirectX::UtilityToolkit.FirstPersonCamera::activeButtonMask = (int)(MouseButtonMask.Left | MouseButtonMask.Middle | MouseButtonMask.Right)`[protected]`

Definition at line 1532 of file dxmutmisc.cs.

Matrix Microsoft::Samples::DirectX::UtilityToolkit.FirstPersonCamera::cameraWorld`[protected]`

Definition at line 1534 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs